glib-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Manages events in the main context. System.Object
- Method
  System.Boolean Checks if any sources have pending events for the given context. an object of type
- Method
  System.Boolean `` Runs a single iteration for the given main loop. an object of type an object of type This involves checking to see if any event sources are ready to be processed, then if no events sources are ready and is , waiting for a source to become ready, then dispatching the highest priority events sources that are ready. Note that even when is , it is still possible for g_main_context_iteration() to return , since the the wait may be interrupted for other reasons than an event source becoming ready.
- Method
  System.Boolean Runs a single iteration for the given main loop. an object of type This is a convenience overload for with passed in.
- Constructor
  Create a new instance.
  an object of type
  This is the default constructor for .